## knotifyconfig 5.80.0

=== debian/changelog ===
knotifyconfig (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:48 +0000

knotifyconfig (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:57 +0000

knotifyconfig (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on optional libcanberra-dev 'Needed to preview
      notification sounds'.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 Jan 2021 10:23:11 +0000

knotifyconfig (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:57:24 +0000

knotifyconfig (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on optional libcanberra-dev 'Needed to preview
      notification sounds'.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 22:49:26 +0000

knotifyconfig (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:13 +0000

knotifyconfig (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:46 +0000

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               graphviz,
               libcanberra-dev,
               libkf5completion-dev (>= 5.80.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5configwidgets-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5kio-dev (>= 5.80.0~),
               libkf5notifications-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libkf5xmlgui-dev (>= 5.80.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.80.0~),
         libkf5kio-dev (>= 5.80.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version})
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.86.0

=== debian/changelog ===
knotifyconfig (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:58 +0100

knotifyconfig (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:17 +0100

knotifyconfig (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:14 +0100

knotifyconfig (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:12 +0100

knotifyconfig (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:59 +0100

knotifyconfig (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libcanberra-dev,
-               libkf5completion-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5notifications-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               libkf5completion-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5notifications-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -45,8 +45,8 @@
 Package: libkf5notifyconfig-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.80.0~),
-         libkf5kio-dev (>= 5.80.0~),
+Depends: libkf5i18n-dev (>= 5.86.0~),
+         libkf5kio-dev (>= 5.86.0~),
          libkf5notifyconfig5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},

## knotifyconfig 5.92.0

=== debian/changelog ===
knotifyconfig (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:08 +0000

knotifyconfig (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:22 +0000

knotifyconfig (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:20 +0000

knotifyconfig (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:10 +0000

knotifyconfig (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on optional libcanberra-dev 'Needed to preview
      notification sounds'.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:26:17 +0000

knotifyconfig (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

knotifyconfig (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:50 +0000

knotifyconfig (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:46 +0000

knotifyconfig (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:39 +0900

knotifyconfig (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

knotifyconfig (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:51 +0900

knotifyconfig (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

knotifyconfig (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:22:30 +0900

knotifyconfig (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:16:54 +0900

knotifyconfig (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

knotifyconfig (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

knotifyconfig (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5notifications-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.92.0~),
         libkf5kio-dev (>= 5.92.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version})
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.98.0

=== debian/changelog ===
knotifyconfig (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:03 +0100

knotifyconfig (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:21 +0100

knotifyconfig (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:07 +0100

knotifyconfig (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:50 +0100

knotifyconfig (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:35 +0100

knotifyconfig (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libcanberra-dev,
-               libkf5completion-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5configwidgets-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5notifications-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -44,8 +44,8 @@
 Package: libkf5notifyconfig-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.92.0~),
-         libkf5kio-dev (>= 5.92.0~),
+Depends: libkf5i18n-dev (>= 5.98.0~),
+         libkf5kio-dev (>= 5.98.0~),
          libkf5notifyconfig5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## knotifyconfig 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KNotifyConfig VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Includes
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

# Required Qt components to build this framework
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets DBus)

find_package(Qt${QT_MAJOR_VERSION}TextToSpeech ${REQUIRED_QT_VERSION} CONFIG)
if (NOT TARGET Qt${QT_MAJOR_VERSION}::TextToSpeech)
  message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
else()
  add_definitions(-DHAVE_SPEECH)
endif()

find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE OPTIONAL)
if (NOT Canberra_FOUND)
    # This is REQUIRED since you cannot tell CMake "either one of those two optional ones are required"
    find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE REQUIRED)
    set_package_properties(Phonon4Qt${QT_MAJOR_VERSION} PROPERTIES
        DESCRIPTION "Qt-based audio library"
        PURPOSE "Needed to preview notification sounds when Canberra isn't available")
endif()

# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KNOTIFYCONFIG
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knotifyconfig_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfigVersion.cmake"
  SOVERSION 5)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"knotifyconfig5\")
ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NotifyConfig")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5NotifyConfig_QCH
        FILE KF5NotifyConfigQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NotifyConfigQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NotifyConfigConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5NotifyConfigTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5NotifyConfigTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/knotifyconfig_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KNotifyConfig"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
knotifyconfig (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

knotifyconfig (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

knotifyconfig (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:35 +0100

knotifyconfig (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

knotifyconfig (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:01 +0200

knotifyconfig (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:40 +0200

knotifyconfig (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:09 +0200

knotifyconfig (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Add optional build dependency on libcanberra-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

knotifyconfig (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

knotifyconfig (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5configwidgets-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5kio-dev (>= 5.103.0~),
               libkf5notifications-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5xmlgui-dev (>= 5.103.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifyconfig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifyconfig.git
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.103.0~),
         libkf5kio-dev (>= 5.103.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version}),
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54),
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.104.0

=== debian/changelog ===
knotifyconfig (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:36 +0000

knotifyconfig (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:26 +0000

knotifyconfig (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:02 +0000

knotifyconfig (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:37 +0000

knotifyconfig (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:58 +0000

knotifyconfig (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:15 +0000

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5configwidgets-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5notifications-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.104.0~),
         libkf5kio-dev (>= 5.104.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version})
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.107.0

=== debian/changelog ===
knotifyconfig (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:45 +0200

knotifyconfig (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libkf5configwidgets-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               libkf5kio-dev (>= 5.107.0~),
               libkf5notifications-dev (>= 5.107.0~),
               libkf5widgetsaddons-dev (>= 5.107.0~),
               libkf5xmlgui-dev (>= 5.107.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifyconfig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifyconfig.git
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.107.0~),
         libkf5kio-dev (>= 5.107.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version}),
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54),
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.109.0

=== debian/changelog ===
knotifyconfig (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:20 +0100

knotifyconfig (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:35 +0100

knotifyconfig (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:35 +0100

knotifyconfig (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:24 +0100

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5configwidgets-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libkf5notifications-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5xmlgui-dev (>= 5.109.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.109.0~),
         libkf5kio-dev (>= 5.109.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version})
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.110.0

=== debian/changelog ===
knotifyconfig (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:09:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libcanberra-dev,
-               libkf5completion-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5configwidgets-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5notifications-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               libkf5completion-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5configwidgets-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5notifications-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -44,8 +44,8 @@
 Package: libkf5notifyconfig-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.109.0~),
-         libkf5kio-dev (>= 5.109.0~),
+Depends: libkf5i18n-dev (>= 5.110.0~),
+         libkf5kio-dev (>= 5.110.0~),
          libkf5notifyconfig5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## knotifyconfig 5.113.0

=== debian/changelog ===
knotifyconfig (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:33 +0000

knotifyconfig (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:27 +0000

knotifyconfig (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:59:09 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libcanberra-dev,
-               libkf5completion-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5configwidgets-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5notifications-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5xmlgui-dev (>= 5.110.0~),
+               libkf5completion-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5configwidgets-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
+               libkf5notifications-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5xmlgui-dev (>= 5.113.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -44,8 +44,8 @@
 Package: libkf5notifyconfig-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.110.0~),
-         libkf5kio-dev (>= 5.110.0~),
+Depends: libkf5i18n-dev (>= 5.113.0~),
+         libkf5kio-dev (>= 5.113.0~),
          libkf5notifyconfig5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## knotifyconfig 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
knotifyconfig (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:58 +0200

knotifyconfig (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:21 +0100

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5configwidgets-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5notifications-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libkf5xmlgui-dev (>= 5.115.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifyconfig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifyconfig.git
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.115.0~),
         libkf5kio-dev (>= 5.115.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version}),
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54),
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
